package com.chinaitop.depot.intelligent.basicdata.mapper;

import com.chinaitop.depot.intelligent.basicdata.model.TCcinfo;
import com.chinaitop.depot.intelligent.basicdata.model.TCcinfoExample;
import java.util.List;
import org.apache.ibatis.annotations.Param;

public interface TCcinfoMapper {
    int countByExample(TCcinfoExample example);

    int deleteByExample(TCcinfoExample example);

    int deleteByPrimaryKey(String id);

    int insert(TCcinfo record);

    int insertSelective(TCcinfo record);

    List<TCcinfo> selectByExample(TCcinfoExample example);

    TCcinfo selectByPrimaryKey(String id);

    int updateByExampleSelective(@Param("record") TCcinfo record, @Param("example") TCcinfoExample example);

    int updateByExample(@Param("record") TCcinfo record, @Param("example") TCcinfoExample example);

    int updateByPrimaryKeySelective(TCcinfo record);

    int updateByPrimaryKey(TCcinfo record);
}